Page MenuHomePhabricator

Remove size_t return parameter from FindTypes
ClosedPublic

Authored by aprantl on Sep 27 2019, 4:21 PM.

Details

Summary

In r368345 I accidentally introduced a regression that would over-report the number of matches found by FIndTypes if the DeclContext Filter was hit.

This patch simply removes the size_t return parameter altogether — it's not that useful.

rdar://problem/55500457

Diff Detail

Repository
rL LLVM

Event Timeline

aprantl created this revision.Sep 27 2019, 4:21 PM
Herald added a project: Restricted Project. · View Herald TranscriptSep 27 2019, 4:21 PM
aprantl planned changes to this revision.Sep 30 2019, 9:07 AM

Pavel suggested to just remove the return value altogether, which would be even better. I'll give that a try.

aprantl updated this revision to Diff 222473.Sep 30 2019, 12:16 PM
aprantl retitled this revision from Fix a regression in FindTypes to Remove size_t return parameter from FindTypes.
aprantl edited the summary of this revision. (Show Details)
aprantl added a reviewer: labath.
aprantl updated this revision to Diff 222476.Sep 30 2019, 12:27 PM
labath accepted this revision.Sep 30 2019, 11:17 PM

cool

This revision is now accepted and ready to land.Sep 30 2019, 11:17 PM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptOct 1 2019, 8:39 AM